#ifndef DATABASETYPE_HPP
#define DATABASETYPE_HPP

namespace SqlWorker
{
	/**
	 * @brief Enumeration to select a database driver
	 */
	enum DatabaseType
	{
		/**
		 * Oracle DB2 database
		 *
		 * @note Only for DB2 Version 7.1 and above
		 */
		DB2,

		/**
		 * Borland InterBase Database
		 */
		IBASE,

		/**
		 * MySql / MariaDB Database
		 *
		 * @note Only for MariaDB Version 5.0 and above
		 */
		MYSQL,


		/**
		 * Oracle Call Interface Database
		 */
		OCI,

		/**
		 * Open Database Connectivity (ODBC) - Microsoft SQL Server and other ODBC-compliant databases
		 */
		ODBC,

		/**
		 * PostgreSQL Database
		 *
		 * @note Only for PostgreSQL Versions 7.3 and above
		 */
		POSTGRES,

		/**
		 * SQLite Version 3 Database
		 */
		SQLITE
	};
}

#endif // DATABASETYPE_HPP
